html, body {
  background: var(--bg-clr);
  margin: 0; padding: 0;
  overflow: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
  color-scheme: dark;
  -webkit-tap-highlight-color: transparent;
  isolation: isolate;
  backface-visibility: hidden;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  }body::-webkit-scrollbar {display: none;}

@font-face{
    font-family:'f1';
    src: url('/fonts/f1.woff') format('woff');}
    @font-face {
  font-family: 'f2';
  src: url('/fonts/f2.woff') format('woff');}
  @font-face {
  font-family: 'f3';
  src: url('/fonts/f3.woff') format('woff');}
  
  
[id^="container"] {
  scroll-snap-type: x mandatory;
  display: grid;
  grid-auto-flow: column;
  grid-auto-columns: max-content;
  gap: 4.5px;
  padding: 20px 20px 0 20px;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  overscroll-behavior-x: contain;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: none;
  ms-overflow-style: none;
}
[id^="container"]::-webkit-scrollbar {
  display: none;
}

#cards {
  scroll-snap-align: center !important;
  border-radius: var(--br);
  aspect-ratio: 0.7030303030303;
  flex-shrink: 0;
  object-fit: cover;
  transition: 100ms;
}
#cards:active {
  transform: scale(0.96);
}

#images:active {
  outline-offset: 1.5px;
  outline: 2px solid #fff;
}

@media (orientation: portrait) {
  #cards {width: 115px;}}
@media (orientation: landscape) {
  #cards {width: 115px;}}
  
 #images {
   background: rgba(255, 255, 255, 0.07);
  transition: 100ms;
  flex-shrink: 0;
  display: block;
  image-rendering: auto;
  image-rendering: crisp-edges;
  image-orientation: from-image;
  will-change: transform;
  -webkit-backface-visibility: hidden;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  backface-visibility: hidden;
  perspective: 1000;
  border-radius: inherit;
  filter: saturate(1.1);
  object-fit: cover;
  height: 100%; width: 100%;
}
  
#picTitle {
  color: #fff;
  font-family: "f2";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-size: 12px;
  background: none;
  width: inherit;
  margin: 7px 0 0 0;
  scrollbar-width: none;
  overflow-x: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  transition: 100ms;
  user-select: none;
}#picTitle:active {
  color: rgba(255, 255, 255, 0.7);
}.placeholder-title{
  height: 18px;width: 85px;
  background: rgba(255, 255, 255, 0.07);
  margin: 10px 0 0 0;border-radius: 5px;}

#link {
  cursor: pointer;
  color: #fff;
  text-decoration: none;
  margin: auto;
  transition: 200ms;;
}
#link:active{
  color: var(--theme-clr);
  fill: var(--theme-clr);
  stroke: var(--theme-clr);
}

#category-tag {
  cursor: pointer;
  font-family: "f1";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-touch-callout: none;
  text-decoration: none;
  color: #fff;
  margin: 0 0 0 20px;
  padding: 5px 0 0 0;
  font-size: 23px;
  position: relative;
  transition: 200ms;
}
.chevron-right {
  cursor: pointer;
  fill: transparent;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0;padding-left: 100%;
  top: 0px;right: 20px;
  height: 27px;width: 27px;
  transition: 100ms;
}.chevron-right:active{
stroke: var(--theme-clr);
}

#hrContainer{
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: none;}
#hr{
  height: 1px;width: 100vw;
  margin: 22px 0; background: rgba(255,255,255,0.2);
}

#sideBar {
  overflow: auto;
  position: fixed;
  top: 0; left: 0;
  height: 100vh; width: 300px;
  background: var(--bg-clr);
  transform: translateX(-100%);
  transition: transform 400ms cubic-bezier(0.25,1,0.5,1);
  will-change: transform;
  z-index: 1001;
}
#sideBar::-webkit-scrollbar {
  display: none;
}
#sideBar.open {
  transform: translateX(0);
}
.no-scroll {
  overflow: hidden;
}

#headerContainer {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  z-index: 2;
}
#header {
  position: relative;
  display: flex;
  align-items: center;
  height: 60px;
  width: 100vw;
  margin: 0; padding: 0;
}

 #menuBtn {
   background: rgba(255, 255, 255, 0.1);
   outline: 1px solid rgba(255,255,255,0.2);
   fill: #fff;
   margin: 0; padding: 0;
   height: 22px; width: 25px;
   margin: 0; padding: 10px;
   border-radius: 13px;
   backdrop-filter: blur(6px);
   filter: drop-shadow(2px 2px 5px rgba(0, 0, 0, 0.3));
   stroke: #FFF;
   stroke-width: 2.5px;
   stroke-linecap: round; 
   stroke-linejoin: round;
   position: absolute;
   left: 10px;
   transition: 50ms;
   z-index: 2;
 }
#menuBtn:active{
  background: rgba(255,255,255,0.1);
}
#topDesign {
  pointer-events: none;
  display: flex;
  align-items: center;
  justify-content: center;
  height: fit-content;
  width: fit-content;
  margin: 0; padding: 0;
  position: absolute;
  top: -5px;
  fill: var(--bg-clr);
  z-index: 1;
  /*filter: drop-shadow(0 0 10px rgba(0,15,30,0.23))
  drop-shadow(0 0 10px rgba(0,15,30,0.23))
  drop-shadow(0 0 10px rgba(0,15,30,0.23));*/
  filter:
  drop-shadow(0 0 10px rgb(from var(--bg-clr) r g b / 0.23))
  drop-shadow(0 0 10px rgb(from var(--bg-clr) r g b / 0.23))
  drop-shadow(0 0 10px rgb(from var(--bg-clr) r g b / 0.23));
}

#searchContainer {
  background: rgba(255,255,255,0.1);
  outline: 1px solid rgba(255,255,255,0.2);
  display: flex;
  align-items: center;
  z-index: 1;
  margin: 0; padding: 0;
  height: 42px; width: 45px;
  border-radius: 13px;
  position: absolute;
  right: 10px;
  transition: 100ms;
  backdrop-filter: blur(20px);
}
#searchContainer:hover {
  width: 230px;
}
#searchBtn {
  z-index: 2;
  object-fit: cover;
  height: 100%;width: 100%;
  border: none;
  outline: none;
  background: none;
  font-family: "f2";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  caret-color: var(--theme-clr);
  color: #fff;
  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
  border-radius: 12px;
  padding: 0 5px 0 43px;
}
#searchBtn::placeholder {
  color: rgba(255, 255, 255, .5);
  font-size: 14px;
  text-shadow: 2px 2px 5px rgba(0,0,0,0.25);
}
#searchIcon {
  filter: drop-shadow(2px 2px 5px rgba(0, 0, 0, 0.3));
  margin: 0 0 0 12px;
  padding: 0 0 0 0;
  height: 20px;
  stroke: #fff;
  fill: #fff;
  background: none;
  position: absolute;
  stroke-width: 1;
  stroke-linecap: round;
  stroke-linejoin: round;
}
#searchIcon:active {
  stroke: var(--theme-clr);
  stroke-width: 3px;
  stroke-linecap: round;
  stroke-linejoin: round;
}

#closeContainer{
  display: flex;
  align-items: center;
  margin: 10px 170px 0 10px;
  width: fit-content;
  border-radius: 16px;
  gap: 0px;
  box-shadow: 0 0 20px -9px #111;
  background: rgba(255,255,255,0.18);
  transition: .2s ease;
}
#xMark{
  fill: white;
  background: rgba(255, 255, 255, .3);
  box-shadow: 0 0 15px -5px #111;
  border-radius: 100%;
  height: 13px;
  stroke: #fff;
  stroke-width: 20px;
  margin-left: 7px;
  padding: 3.3px 5px;
  transition: 200ms;
}
#closeBtn{
  color: whitesmoke;
  font-size: 13px;
  font-family: "f2";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-weight: 600;
  margin: 0;
  padding: 7px;
  transition: 200ms;
}

#overlay {
  transform: translateZ(0);
  will-change: transform, opacity;
  position: fixed;
  inset: 0;
  backdrop-filter: blur(20px);
  background: rgba(1,1,1,.5);
  opacity: 0;
  pointer-events: none;
  transition: opacity 400ms;
  z-index: 1000;
}

#overlay.visible {
  opacity: 1;
  pointer-events: auto;
}

#explore-genres-heading{
  display: flex;
  align-items: center;
  gap: 8px;
  color: var(--theme-clr);
  text-shadow: 0 0 20px #222;
  padding-left: 10px;
  font-family: "f2";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  width: fit-content;
}

.sidebar-genre {
  cursor: none;
  font-family: "f2";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-size: 17px;
  color: #000;
  text-decoration: none;
  padding: 10px 5px 10px 22px;
  display: flex;
  align-items: center;
  gap: 13px;
  border: none;
  transition: transform 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  text-shadow: 0 0 30px rgba(1,1,1,0.5);
  margin: 0 0 1px 0;
  background: linear-gradient(60deg, rgba(255, 255, 255, 0.55), rgba(255, 255, 255, 0.5));
}
.sidebar-genre:hover {
  box-shadow: 0 0 20px -10px rgba(0,0,0,0.3);
  background: rgba(255, 255, 255, 0.3);
  padding: 10px 5px 10px 20px;
}

.explore-symbol{
  fill: var(--theme-clr);
  height: 20px;
  position: relative;
  border: none;
  background: none;
  margin: 0;
  padding: 0;
  animation: rotate 2s linear infinite;
}
@keyframes rotate { 
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(360deg);
  }
}
.genre-symbol{
  height: 22px;
  position: relative;
}

#topMoviesContainer {
  overflow: auto;
  position: relative;
  background: transparent !important;
  overflow: auto;
  display: flex;
  align-items: center;
  overflow-x: scroll;
  scroll-padding-inline: 15px;
  -webkit-overflow-scrolling: touch;
  gap: 0px; padding: 0; margin: 0;
  max-width: 100%;
  white-space: nowrap;
  overflow: scroll;
}

#topMoviesContainer .cards.placeholder {
  display: inline-block;
  width: 100%;
  background: transparent;
  overflow: hidden;
}
#topMoviesCards {
  transform: translateZ(0);
  backface-visibility: hidden;
  line-height: 0 !important;
  background: transparent !important;
  position: relative;
  overflow: auto;
  flex-shrink: 0;
  height: 300px; width: 100%;
  margin: 19px 0 0 0;
  border: none;
  border-radius: 0px !important;
  position: relative;
  outline: none !important;
  display: flex;
  align-items: center;
  justify-content: center;
}
#topMoviesCards::after {
  content: '';
  position: absolute;
  bottom: 0;left: 0;right: 0;
  height: 50%;
  background: linear-gradient(to bottom, transparent, var(--bg-clr)) !important;
  z-index: 2;
}

#topMoviesCards #topMoviesImages {
  background: rgba(255,255,255,0.07);
  object-fit: cover;
  height: 100%; width: 100%;
  filter: saturate(1.1) brightness(1.1);
}
#titleImage {
  backface-visibility: hidden;
  height: auto;width: 200px;
  max-height: 130px; max-width: 350px;
  margin: 0;padding: 0;
  display: block;
  object-fit: contain;
  z-index: 999999 !important;
}#titleImage::-webkit-scrollbar {
  display: none}

/****/
.titleOverlay {
  position: absolute;
  bottom: 0;left: 0;right: 0;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.slideCount {
  pointer-events: none;
  color: #fff;
  font-family: "f3";
  z-index: 999999;
  font-size: 11px;
  padding: 12px 8px;
  margin: 60px 0 0 15px;
  border-radius: 9999px;
}
.count-dot{
  color: var(--theme-clr);;
  margin: 0 2px;
}

.playBtn {
  margin: 60px 15px 0 0;
  width: 42px;height: 42px;
  border-radius: 50%;
  z-index: 99999999999999;
  border: none;
  background: rgb(from var(--theme-clr) r g b / 0.25);
  color: #fff;
  font-size: 18px;
  cursor: pointer;
}
.playBtn svg{
  fill: var(--theme-clr);
  height: 20px; width: 20px;
}
/****/


#topChevronLeft, #topChevronRight {
  z-index: 2;
  height: 13px;width: 13px;
  margin: 0;padding: 6px;
  fill: #000;background: #fff;
  stroke: #000;stroke-width: 35px;
  backdrop-filter: blur(7px);
  box-shadow: 0 0 20px 0 rgba(0,0,0,0.3);
  border-radius: 50%;
  position: absolute;
  transform: translateY(-130px);
  transition: 100ms;
}
#topChevronLeft{left: 6px;}
#topChevronRight{right: 6px;}

#topChevronLeft:active, #topChevronRight:active {
  background: rgba(255,255,255,0.5);
  fill: #111;
}
#paginationDots {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 20px auto;
  padding: 5px;
  border-radius: 9999px;
  width: fit-content;
  z-index: 1;
}
.dot {
  display: inline-block;
  width: 12.8px;height: 12.8px;
  border-radius: 9999px;
  background: rgba(255,255,255,0.3);
  margin: 1px 5px;
  transition: 200ms ease;
}
.dot-active {
  pointer-events: none;
  height: 12.8px;width: 33px;
  border-radius: 9999px;
  background: rgb(from var(--theme-clr) r g b / 0.25);
  margin: 0 5px;
  position: relative;
  overflow: hidden;
  transition: 200ms ease;
}
.dot-active::before {
  content: '';
  position: absolute;
  top: 0;left: 0;
  object-fit: cover;
  height: 100%;width: 100%;
  background-color: var(--theme-clr);
  border-radius: inherit;
  animation: expandFill 5s linear forwards;
  z-index: 1;
}
@keyframes expandFill {
  from {
    width: 12.8px;
    border-radius: 9999px;
  }
  to {
    width: 100%;
    border-radius: 9999px;
  }
}

#bottomInfoContainer {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 70px 0 0 0;
}
#bottomInfo {
  height: auto;width: 100%;
  background: rgba(255,255,255,0.1);
  border: 2px solid rgba(255, 255, 255, 0.04);
  padding: 10px;
  text-align: center;
}
.footerLinks {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: center;
  margin: 12px 0;
}
.footerLinks a {
  font-family: "f2";
  color: rgba(255,255,255,0.8);
  font-size: 13.8px;
  text-decoration: none;
}
.footerLinks a:not(:first-child)::before {
  content: "|";
  margin: 0 10px 0 0;
  color: rgba(255,255,255,0.4);
}
#footerHr{
  background: rgba(255,255,255,0.2);
  width: 100%;height: 1px;
  margin: 10px 0 5px 0;
}
.footerLinks a:hover {
  color: #fff;
  text-decoration: underline;
}
.footerText {
  font-family: "f2";
  font-size: 14px;
  color: rgba(255,255,255,0.8);
  margin: 25px 0;
}
.footerText2 {
  font-family: "f2";
  font-size: 14px;
  color: #999;
  margin: 20px 0;
}
.footerCopy {
  font-family: "f2";
  font-size: 14px;
  color: #999;
  margin: 0 0 20px 0;
}